import src.rf_error as rf_error
import numpy as np

# note: these routines don't handle the no_ps case

# Define preprocessor
x_ppi = {'name': 'NoScaler'}
y_ppi = {'name': 'SimpleY'}

training_expt = 'abs1.0_norf_ras'
min_lev=0.08
min_samples_leaf = 10
n_trees = 10
n_trn_exs = 700000
conv_cond = False
use_rh = False

load_results = False
save_results = True



# plot error versus number of trees
rf_error.plot_error_vs_n_trees(x_ppi, y_ppi, 
                              min_lev=min_lev, n_trn_exs=n_trn_exs, 
                              conv_cond=conv_cond,
                              min_samples_leaf = min_samples_leaf, 
                              training_expt = training_expt,
                              use_rh=use_rh, 
                              load_results=load_results,
                              save_results=save_results)

# plot error versus min_samples_leaf
rf_error.plot_error_vs_min_samples_leaf(x_ppi, y_ppi, 
                              min_lev=min_lev, n_trn_exs=n_trn_exs, 
                              conv_cond=conv_cond,
                              n_trees = n_trees,
                              training_expt = training_expt,
                              use_rh=use_rh,
                              load_results=load_results,
                              save_results=save_results)

# plot error versus number of training samples (note testing sample size remains fixed)
rf_error.plot_error_vs_n_trn_exs(x_ppi, y_ppi,
                     min_lev=min_lev,
                     min_samples_leaf = min_samples_leaf, conv_cond=conv_cond,
                     n_trees=n_trees,
                     training_expt = training_expt,
                     use_rh=use_rh,
                     load_results=load_results,
                     save_results=save_results)


# plot both training and test error (cross-validation not used here)
rf_error.plot_train_test_error_nocv_vs_n_trn_exs(x_ppi, y_ppi, 
                                                 min_lev=min_lev,
                                                 min_samples_leaf=min_samples_leaf, 
                                                 conv_cond=conv_cond,
                                                 n_trees=n_trees,
                                                 training_expt = training_expt,
                                                 use_rh=use_rh)

